# Cinder

# cinder::audio::LoaderSourceFile Class Reference

`#include <SourceFile.h>`

Inherits cinder::audio::Loader.

List of all members.

## Public Member Functions
| ~LoaderSourceFile ()
uint64_t | getSampleOffset () const
void | setSampleOffset (uint64_t anOffset)
void | loadData (uint32_t *ioSampleCount, BufferList *ioData)
virtual uint32_t | getOptimalBufferSize () const
## Static Public Member Functions
static LoaderSourceFileRef | createRef (SourceFile *source, Target *target)
## Static Protected Member Functions
static void | fillBufferListFromCaBufferList (BufferList *aBufferList, const AudioBufferList *caBufferList)
static shared_ptr < AudioBufferList > | createCaBufferList (const BufferList *caBufferList)

## Constructor & Destructor Documentation

cinder::audio::LoaderSourceFile::~LoaderSourceFile | ( |  | ) |

## Member Function Documentation

LoaderSourceFileRef cinder::audio::LoaderSourceFile::createRef | ( | SourceFile * | source,
|  | Target * | target |
| ) |  |  | `[static]`

uint64_t cinder::audio::LoaderSourceFile::getSampleOffset | ( |  | ) | const`[virtual]`

Implements cinder::audio::Loader.

void cinder::audio::LoaderSourceFile::setSampleOffset | ( | uint64_t | anOffset | ) | `[virtual]`

Implements cinder::audio::Loader.

void cinder::audio::LoaderSourceFile::loadData | ( | uint32_t * | ioSampleCount,
|  | BufferList * | ioData |
| ) |  |  | `[virtual]`

Implements cinder::audio::Loader.

virtual uint32_t cinder::audio::Loader::getOptimalBufferSize | ( |  | ) | const`[virtual, inherited]`

Reimplemented in cinder::audio::LoaderSourceFileWindowsMedia.

void cinder::audio::Loader::fillBufferListFromCaBufferList | ( | BufferList * | aBufferList,
|  | const AudioBufferList * | caBufferList |
| ) |  |  | `[static, protected, inherited]`

shared_ptr< AudioBufferList > cinder::audio::Loader::createCaBufferList | ( | const BufferList * | caBufferList | ) | `[static, protected, inherited]`

The documentation for this class was generated from the following files:

- include/cinder/audio/SourceFile.h
- src/cinder/audio/SourceFile.cpp